net.minecraft.client

## Class LoadingScreenRenderer

- java.lang.Object
- - net.minecraft.client.LoadingScreenRenderer

- All Implemented Interfaces:
    IProgressUpdate

      public class LoadingScreenRenderer
      extends java.lang.Object
      implements IProgressUpdate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadingScreenRenderer(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayProgressMessage(java.lang.String par1Str)`
    `void` | `func_146586_a()`
    `void` | `func_73722_d(java.lang.String par1Str)`
    `void` | `resetProgresAndWorkingMessage(java.lang.String par1Str)`
    `void` | `resetProgressAndMessage(java.lang.String par1Str)`
    `void` | `setLoadingProgress(int par1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadingScreenRenderer

          public LoadingScreenRenderer(Minecraft par1Minecraft)

  - ### Method Detail

    - #### resetProgressAndMessage

          public void resetProgressAndMessage(java.lang.String par1Str)

      Specified by:
        `resetProgressAndMessage` in interface `IProgressUpdate`

    - #### displayProgressMessage

          public void displayProgressMessage(java.lang.String par1Str)

      Specified by:
        `displayProgressMessage` in interface `IProgressUpdate`

    - #### func_73722_d

          public void func_73722_d(java.lang.String par1Str)

    - #### resetProgresAndWorkingMessage

          public void resetProgresAndWorkingMessage(java.lang.String par1Str)

      Specified by:
        `resetProgresAndWorkingMessage` in interface `IProgressUpdate`

    - #### setLoadingProgress

          public void setLoadingProgress(int par1)

      Specified by:
        `setLoadingProgress` in interface `IProgressUpdate`

    - #### func_146586_a

          public void func_146586_a()

      Specified by:
        `func_146586_a` in interface `IProgressUpdate`